org.apache.synapse.transport.http.conn

## Class SynapseWireLogHolder

- java.lang.Object
- - org.apache.synapse.transport.http.conn.SynapseWireLogHolder

- All Implemented Interfaces:
    java.io.Serializable

      public class SynapseWireLogHolder
      extends java.lang.Object
      implements java.io.Serializable

  This class is used to store wirelog information for all the relevant mediators and request wirelog, response wirelog as well
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SynapseWireLogHolder.PHASE` These are the phases to determine request responses in wire level
    `static class` | `SynapseWireLogHolder.RequestType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SynapseWireLogHolder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `appendBackEndWireLog(SynapseWireLogHolder.RequestType type, java.lang.String wireLog, java.lang.String mediatorId)`
    `void` | `appendRequestWireLog(java.lang.String requestWireLog)`
    `void` | `appendResponseWireLog(java.lang.String responseWireLog)`
    `void` | `clear()`
    `SynapseWireLogHolder` | `deepClone()` This method is to clone wirelog holder object
    `java.lang.String` | `getApiName()`
    `java.util.Map<java.lang.String,SynapseBackEndWireLogs>` | `getBackEndRequestResponse()`
    `SynapseWireLogHolder.PHASE` | `getPhase()`
    `java.lang.String` | `getProxyName()`
    `java.lang.String` | `getRequestWireLog()`
    `java.lang.String` | `getResourceUrlString()`
    `java.lang.String` | `getResponseWireLog()`
    `void` | `setApiName(java.lang.String apiName)`
    `void` | `setPhase(SynapseWireLogHolder.PHASE phase)`
    `void` | `setProxyName(java.lang.String proxyName)`
    `void` | `setResourceUrlString(java.lang.String resourceUrlString)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SynapseWireLogHolder

          public SynapseWireLogHolder()

  - ### Method Detail

    - #### getProxyName

          public java.lang.String getProxyName()

    - #### setProxyName

          public void setProxyName(java.lang.String proxyName)

    - #### getApiName

          public java.lang.String getApiName()

    - #### setApiName

          public void setApiName(java.lang.String apiName)

    - #### getResourceUrlString

          public java.lang.String getResourceUrlString()

    - #### setResourceUrlString

          public void setResourceUrlString(java.lang.String resourceUrlString)

    - #### getRequestWireLog

          public java.lang.String getRequestWireLog()

    - #### appendRequestWireLog

          public void appendRequestWireLog(java.lang.String requestWireLog)

    - #### getResponseWireLog

          public java.lang.String getResponseWireLog()

    - #### appendResponseWireLog

          public void appendResponseWireLog(java.lang.String responseWireLog)

    - #### getPhase

          public SynapseWireLogHolder.PHASE getPhase()

    - #### setPhase

          public void setPhase(SynapseWireLogHolder.PHASE phase)

    - #### appendBackEndWireLog

          public void appendBackEndWireLog(SynapseWireLogHolder.RequestType type,
                                           java.lang.String wireLog,
                                           java.lang.String mediatorId)

    - #### getBackEndRequestResponse

          public java.util.Map<java.lang.String,SynapseBackEndWireLogs> getBackEndRequestResponse()

    - #### clear

          public void clear()

    - #### deepClone

          public SynapseWireLogHolder deepClone()
                                         throws java.io.IOException,
                                                java.lang.ClassNotFoundException

      This method is to clone wirelog holder object
      Returns:
      Throws:
        `java.io.IOException`
        `java.lang.ClassNotFoundException`

Copyright © 2005-2020 Apache Software Foundation. All Rights Reserved.